%define srcname python-subunit
%define module  subunit

Name:           python-%{module}
Version:        1.4.4
Release:        %mkrel 1
Summary:        Python implementation of subunit test streaming protocol
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/subunit
Source0:        https://pypi.io/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
Subunit is a streaming protocol for test results.

%package -n     python3-%{module}
Summary:        Python 3 implementation of subunit test streaming protocol
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Subunit is a streaming protocol for test results.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%{_bindir}/%{module}*
%{_bindir}/tap2%{module}


%changelog
* Mon Feb 17 2025 daviddavid <daviddavid> 1.4.4-1.mga10
+ Revision: 2149225
- new version: 1.4.4

* Fri Dec 29 2023 tv <tv> 1.4.0-4.mga10
+ Revision: 2023747
- Rebuild for python-3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.4.0-3.mga9
+ Revision: 1822893
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.4.0-2.mga9
+ Revision: 1775668
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.4.0-1.mga9
+ Revision: 1706403
- new version: 1.4.0

* Sun Mar 21 2021 daviddavid <daviddavid> 1.3.0-6.mga9
+ Revision: 1706382
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1532781
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 1.3.0-4.mga8
+ Revision: 1443183
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 1.3.0-3.mga7
+ Revision: 1351968
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1290274
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1219190
- Update to version 1.3.0

* Thu Mar 22 2018 kekepower <kekepower> 1.2.0-1.mga7
+ Revision: 1211337
- Update to version 1.2.0
- Renamed python-subunit to python2-subunit

* Sat Aug 05 2017 pterjan <pterjan> 1.1.0-4.mga7
+ Revision: 1135653
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.1.0-3.mga6
+ Revision: 971208
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 1.1.0-2.mga6
+ Revision: 889836
- add python3 package
- use new python macros

* Mon Aug 31 2015 fwang <fwang> 1.1.0-1.mga6
+ Revision: 871514
- upload spec file
+ bcornec <bcornec>
- Created package structure for python-subunit.

